Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Display/Selection

Status
Not open for further replies.

grunt58

Mechanical
Feb 4, 2005
490
Does anyone have a macro to toggle display/selections or perhaps I missed and icon? I usually want "select hidden edges" off but sometimes I need to either select a hidden line in wireframe or in shaded mode. Attached picture to better explain what I want to toggle.

Thanks

Certified SolidWorks Associate
SW2009 X64 SP 1.0
Dell Precision T5400
Nvidia Quadro FX 5600
Xeon 2.5GHz Quad Core, 4GB RAM
XP Pro X64 SP2.0
 
Replies continue below

Recommended for you

You can assign a keyboard shortcut for all the display types. Look under the Customize > Keyboard > View section.
 
Sorry, I looked must have missed it.

Thanks

Certified SolidWorks Associate
SW2009 X64 SP 5.1
Dell Precision T5500
Nvidia Quadro 4000
Xeon 2.27GHz Quad Core, 6GB RAM
XP Pro X64 SP2.0
 
Sorry again. I don't want to toggle the display type but the selection type. When in wireframe I want to able to toggle the ability to select hidden lines or not same when in shaded mode.

Certified SolidWorks Associate
SW2009 X64 SP 5.1
Dell Precision T5500
Nvidia Quadro 4000
Xeon 2.27GHz Quad Core, 6GB RAM
XP Pro X64 SP2.0
 

Code:
Sub ToggleSelInWireframe()

Dim swApp As SldWorks.SldWorks

Set swApp = Application.SldWorks

swApp.SetUserPreferenceToggle swEdgesHiddenEdgeSelectionInWireframe, _
    Not CBool(swApp.GetUserPreferenceToggle(swEdgesHiddenEdgeSelectionInWireframe) + 0)

End Sub


Sub ToggleSelInShaded()

Dim swApp As SldWorks.SldWorks

Set swApp = Application.SldWorks

swApp.SetUserPreferenceToggle swEdgesHiddenEdgeSelectionInHLR, _
    Not CBool(swApp.GetUserPreferenceToggle(swEdgesHiddenEdgeSelectionInHLR) + 0)

End Sub

-handleman, CSWP (The new, easy test)
 
Thanks got one from SolidWorks community which I have attached.

Certified SolidWorks Associate
SW2009 X64 SP 5.1
Dell Precision T5500
Nvidia Quadro 4000
Xeon 2.27GHz Quad Core, 6GB RAM
XP Pro X64 SP2.0
 
 http://files.engineering.com/getfile.aspx?folder=eb55215d-24d1-4e8b-9f52-f1a7b4bfeb3a&file=Toggle_Selection_of_Hidden_Edges_.swp_(1).zip
Wow, my solution and Deepak's were posted at the exact same time (down to the resolution of the measuring device).

-handleman, CSWP (The new, easy test)
 
Haa that's funny.

Certified SolidWorks Associate
SW2009 X64 SP 5.1
Dell Precision T5500
Nvidia Quadro 4000
Xeon 2.27GHz Quad Core, 6GB RAM
XP Pro X64 SP2.0
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor